This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1464067 - Mock is missing dependency on dnf-plugins-core
Mock is missing dependency on dnf-plugins-core
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: mock (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 07:22 EDT by Susi Lehtola
Modified: 2017-08-06 18:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-06 18:31:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2017-06-22 07:22:21 EDT
Trying to build a package in mock on a el7 box gives me the following output:


INFO: Installed packages:
Start: build phase for epson-inkjet-printer-escpr-1.6.13-1.1lsb3.2.fc27.src.rpm
Start: build setup for epson-inkjet-printer-escpr-1.6.13-1.1lsb3.2.fc27.src.rpm
sh: /usr/bin/cups-config: No such file or directory
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/epson-inkjet-printer-escpr-1.6.13-1.1lsb3.2.fc25.src.rpm
No such command: builddep. Please use /usr/bin/dnf --help
It could be a DNF plugin command.
ERROR: Exception(/home/susi/fedora/epson-inkjet-printer-escpr/master/epson-inkjet-printer-escpr-1.6.13-1.1lsb3.2.fc27.src.rpm) Config(fedora-25-x86_64) 7 minutes 59 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-25-x86_64/result
ERROR: builddep command missing.
Please install package dnf-plugins-core.


After installation of dnf-plugins-core, mock works. dnf-plugins-core should be added to the Requires of mock.
Comment 1 Miroslav Suchý 2017-08-06 18:31:44 EDT
Mock on RHEL does not even require DNF. It is soft dependence. Mock can work without DNF just fine. You can even configure it to use YUM to install fedora-27 chroot.
It should be listed as soft dependence, but RHEL{6,7} cannot handle weak dependencies.
The other option will force dnf and dnf-plugins-core for all users of mock, which is really unnecessary.

Note You need to log in before you can comment on or make changes to this bug.